## r-cran-gsubfn 0.7

=== DESCRIPTION ===
Package: gsubfn
Version: 0.7
Date: 2018-03-15
Title: Utilities for Strings and Function Arguments
Author: G. Grothendieck
Maintainer: G. Grothendieck <ggrothendieck@gmail.com>
Description: The gsubfn function is like gsub but can take a replacement 
   function or certain other objects instead of the replacement string.
   Matches and back references are input to the replacement function and 
   replaced by the function output.   gsubfn can be used to split strings 
   based on content rather than delimiters and for quasi-perl-style string 
   interpolation. The package also has facilities for translating formulas 
   to functions and allowing such formulas in function calls instead of 
   functions.  This can be used with R functions such as apply, sapply,
   lapply, optim, integrate, xyplot, Filter and any other function that 
   expects another function as an input argument or functions like cat
   or sql calls that may involve strings where substitution is desirable.
   There is also a facility for returning multiple objects from functions
   and a version of transform that allows the RHS to refer to LHS used in
   the same transform.
BugReports: https://github.com/ggrothendieck/gsubfn/issues
Depends: proto
Suggests: boot, chron, grid, lattice, quantreg, svUnit, tcltk, zoo
License: GPL (>= 2)
URL: https://github.com/ggrothendieck/gsubfn
NeedsCompilation: no
Packaged: 2018-03-15 23:17:54 UTC; Louis
Repository: CRAN
Date/Publication: 2018-03-16 08:58:03 UTC

=== debian/changelog ===
r-cran-gsubfn (0.7-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Mon, 11 Oct 2021 14:06:14 +0200

r-cran-gsubfn (0.7-1) unstable; urgency=medium

  * Initial release (closes: #994397)

 -- Steffen Moeller <moeller@debian.org>  Mon, 13 Sep 2021 20:33:28 +0200

=== debian/control ===
Source: r-cran-gsubfn
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-proto
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gsubfn
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gsubfn.git
Homepage: https://cran.r-project.org/package=gsubfn
Rules-Requires-Root: no

Package: r-cran-gsubfn
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R utilities for strings and function arguments
 The gsubfn function is like gsub but can take a replacement
 function or certain other objects instead of the replacement string.
 Matches and back references are input to the replacement function and
 replaced by the function output.   gsubfn can be used to split strings
 based on content rather than delimiters and for quasi-perl-style string
 interpolation. The package also has facilities for translating formulas
 to functions and allowing such formulas in function calls instead of
 functions.  This can be used with R functions such as apply, sapply,
 lapply, optim, integrate, xyplot, Filter and any other function that
 expects another function as an input argument or functions like cat
 or sql calls that may involve strings where substitution is desirable.
 There is also a facility for returning multiple objects from functions
 and a version of transform that allows the RHS to refer to LHS used in
 the same transform.

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/gsubfn_([-\d.]*)\.tar\.gz
